<app-loading *ngIf='isLoading'></app-loading>
<div class="btnAcrossPageName">
    <!-- add -->
    <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='ADD_NEW'
        mbButtonText="{{'staffAbs.workCalendarPage.add' | translate}}" (click)='showModalUpdate(null, footerTmpl)'>
    </mb-button>
    <!-- import -->
    <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='IMPORT'
        mbButtonText="{{'staffAbs.workCalendarPage.import' | translate}}" (click)="showModalImport()"></mb-button>
</div>
<div class="content__item content__item--border bg__content--default">
    <form nz-form [formGroup]="form">
        <div nz-row [nzGutter]="[30,30]">
            <div nz-col nzXs="24" nzLg="6">
                <mb-select [mbDataSelects]="workCalendarList" mbKeyLabel="name" mbKeyValue="workCalendarId"
                    [mbShowClear]="false"
                    [mbType]="isSubmitted && form.controls['workCalendarId'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['workCalendarId'].errors != null"
                    [mbErrors]="form.controls['workCalendarId'].errors"
                    [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.workCalendar.workCalendarId' | translate }}]"
                    mbPlaceholder="--{{'staffAbs.workCalendarPage.workCalendar' | translate}}--"
                    formControlName="workCalendarId" (ngModelChange)="onChangeWorkCalendar()"></mb-select>
            </div>
            <div nz-col nzXs="24" nzLg="12" class="pull-left wrap-action-calendar">
                <mb-button mbButtonIconType="AWESOME" mbPrefixIcon="far fa-pencil-alt" mbButtonSize="VERY_LARGE"
                    mbButtonTextColor="#fff" mbButtonType="NO_BORDER" mbButtonBgColor="#141ED2"
                    mbStyle="margin-left: 0px;"
                    (click)='showModalUpdate(form.controls["workCalendarId"].value, footerTmpl)'></mb-button>
                <mb-button mbButtonIconType="AWESOME" mbPrefixIcon="far fa-cogs" mbButtonSize="VERY_LARGE"
                    mbButtonTextColor="#fff" mbButtonType="NO_BORDER" mbButtonBgColor="#141ED2" 
                    (click)='showModalOrg(footerOrgTmpl)'></mb-button>
            </div>
            <div nz-col nzXs="24" nzLg="6" class="pull-right">
                <div id="select-year">
                    <mb-select [mbDataSelects]="listYear" mbKeyLabel="label" mbKeyValue="value" [mbShowClear]="false"
                        [mbType]="form.controls['year'].errors ? 'error' : 'default'"
                        [mbShowError]="form.controls['year'].errors != null" [mbErrors]="form.controls['year'].errors"
                        [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.workCalendarDetail.year' | translate }}]"
                        mbPlaceholder="--{{'staffAbs.workCalendarPage.year' | translate}}--" formControlName="year"
                        (ngModelChange)="onChangeYear()"></mb-select>
                </div>
            </div>
        </div>
    </form>

    <div nz-row [nzGutter]="[30,30]">
        <div nz-col nzXs="24" nzLg="6" *ngFor="let item of listMonth">
            <calendar *ngIf="mapWorkCalendarDetails" [month]="item" [mapWorkCalendarDetails]="mapWorkCalendarDetails">
            </calendar>
        </div>
    </div>
</div>

<ng-template #footerTmpl>
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal?.destroy()" mbButtonBgColor="transparent"
        mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal?.getContentComponent().save()"
        mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.save' | translate}}"></mb-button>
</ng-template>

<!-- Modal don vi ap dung -->
<ng-template #footerOrgTmpl>
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal?.destroy()" mbButtonBgColor="transparent"
        mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal?.getContentComponent().save()"
        mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.save' | translate}}"></mb-button>
</ng-template>


<!-- Vùng import -->
<work-calendar-detail-import
  [showContent]='isImportData'
  [workCalendarId]='form.controls["workCalendarId"].value'
  (onCloseModal)='doCloseImport($event)'
>
</work-calendar-detail-import>
<!--  -->